package com.mortals.xhx.module.flowable.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:FlowableDefinition
* date: 2021-8-3 9:38:52
*/
public class FlowableDefinitionEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627954732548L;

    /**
     * 流程定义编号
     */
    private String procDefId;

    /**
    * 流程部署编号
    */
    private String deploymentId;


    /**
     * 流程名称
     */
    private String name;

    /**
    * 流程标识
    */
    private String key;

    /**
    * 流程分类
    */
    private String category;

    /**
    * 挂载表单
    */
    private Long formId;

    /**
    * 配置表单名称
    */
    private String formName;

    /**
    * 流程版本
    */
    private String version;

    /**
    * 状态
    */
    private Integer suspensionState;

    /**
    * 部署时间
    */
    private Date deploymentTime;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户,登录名
    */
    private String createUser;

    /**
    * 创建人ID
    */
    private Long createUserId;

    public FlowableDefinitionEntity(){

    }

    public String getProcDefId() {
        return procDefId;
    }

    public void setProcDefId(String procDefId) {
        this.procDefId = procDefId;
    }

    /**
    * 获取 流程编号
    * @return deploymentId
    */
    public String getDeploymentId() {
        return this.deploymentId;
    }
    /**
    * 设置 流程编号
    * @param deploymentId
    */
    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }
    /**
    * 获取 流程标识
    * @return key
    */
    public String getKey() {
        return this.key;
    }
    /**
    * 设置 流程标识
    * @param key
    */
    public void setKey(String key) {
        this.key = key;
    }
    /**
    * 获取 流程分类
    * @return category
    */
    public String getCategory() {
        return this.category;
    }
    /**
    * 设置 流程分类
    * @param category
    */
    public void setCategory(String category) {
        this.category = category;
    }
    /**
    * 获取 挂载表单
    * @return formId
    */
    public Long getFormId() {
        return this.formId;
    }
    /**
    * 设置 挂载表单
    * @param formId
    */
    public void setFormId(Long formId) {
        this.formId = formId;
    }
    /**
    * 获取 配置表单名称
    * @return formName
    */
    public String getFormName() {
        return this.formName;
    }
    /**
    * 设置 配置表单名称
    * @param formName
    */
    public void setFormName(String formName) {
        this.formName = formName;
    }
    /**
    * 获取 流程版本
    * @return version
    */
    public String getVersion() {
        return this.version;
    }
    /**
    * 设置 流程版本
    * @param version
    */
    public void setVersion(String version) {
        this.version = version;
    }
    /**
    * 获取 状态
    * @return suspensionState
    */
    public Integer getSuspensionState() {
        return this.suspensionState;
    }
    /**
    * 设置 状态
    * @param suspensionState
    */
    public void setSuspensionState(Integer suspensionState) {
        this.suspensionState = suspensionState;
    }
    /**
    * 获取 部署时间
    * @return deploymentTime
    */
    public Date getDeploymentTime() {
        return this.deploymentTime;
    }
    /**
    * 设置 部署时间
    * @param deploymentTime
    */
    public void setDeploymentTime(Date deploymentTime) {
        this.deploymentTime = deploymentTime;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户,登录名
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户,登录名
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建人ID
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人ID
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof FlowableDefinitionEntity) {
            FlowableDefinitionEntity tmp = (FlowableDefinitionEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",deploymentId:").append(getDeploymentId())
                .append(",key:").append(getKey())
                .append(",category:").append(getCategory())
                .append(",formId:").append(getFormId())
                .append(",formName:").append(getFormName())
                .append(",version:").append(getVersion())
                .append(",suspensionState:").append(getSuspensionState())
                .append(",deploymentTime:").append(getDeploymentTime())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
                .append(",createUserId:").append(getCreateUserId())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.deploymentId = null;
         this.key = null;
         this.category = null;
         this.formId = null;
         this.formName = null;
         this.version = null;
         this.suspensionState = null;
         this.deploymentTime = null;
         this.createTime = null;
         this.createUser = null;
         this.createUserId = null;
    }
}